import Cache from './cache'

const TokenKey = 'auth_token'
const AuthorizeKey = 'authorize'

export function getToken() {
  return Cache.get(TokenKey)
}

export function setToken(token) {
  return Cache.set(TokenKey, token)
}

export function removeToken() {
  return Cache.remove(TokenKey)
}

export function getAuthorize() {
  return Cache.get(AuthorizeKey)
}

export function setAuthorize() {
  return Cache.set(AuthorizeKey, true)
}

export function removeAuthorize() {
  return Cache.remove(AuthorizeKey)
}
